diff --git a/snf-pithos-app/pithos/api/util.py b/snf-pithos-app/pithos/api/util.py
index ebfc037..7fff6f3 100644
--- a/snf-pithos-app/pithos/api/util.py
+++ b/snf-pithos-app/pithos/api/util.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -51,17 +51,18 @@ from django.core.files.uploadedfile import UploadedFile
 from synnefo.lib.parsedate import parse_http_date_safe, parse_http_date
 from synnefo.lib.astakos import get_user
 
-from pithos.api.faults import (Fault, NotModified, BadRequest, Unauthorized, Forbidden, ItemNotFound,
-                                Conflict, LengthRequired, PreconditionFailed, RequestEntityTooLarge,
-                                RangeNotSatisfiable, InternalServerError, NotImplemented)
+from pithos.api.faults import (
+    Fault, NotModified, BadRequest, Unauthorized, Forbidden, ItemNotFound,
+    Conflict, LengthRequired, PreconditionFailed, RequestEntityTooLarge,
+    RangeNotSatisfiable, InternalServerError, NotImplemented)
 from pithos.api.short_url import encode_url
 from pithos.api.settings import (BACKEND_DB_MODULE, BACKEND_DB_CONNECTION,
-                                    BACKEND_BLOCK_MODULE, BACKEND_BLOCK_PATH,
-                                    BACKEND_BLOCK_UMASK,
-                                    BACKEND_QUEUE_MODULE, BACKEND_QUEUE_CONNECTION,
-                                    BACKEND_QUOTA, BACKEND_VERSIONING,
-                                    AUTHENTICATION_URL, AUTHENTICATION_USERS,
-                                    SERVICE_TOKEN, COOKIE_NAME)
+                                 BACKEND_BLOCK_MODULE, BACKEND_BLOCK_PATH,
+                                 BACKEND_BLOCK_UMASK,
+                                 BACKEND_QUEUE_MODULE, BACKEND_QUEUE_CONNECTION,
+                                 BACKEND_QUOTA, BACKEND_VERSIONING,
+                                 AUTHENTICATION_URL, AUTHENTICATION_USERS,
+                                 SERVICE_TOKEN, COOKIE_NAME)
 
 from pithos.backends import connect_backend
 from pithos.backends.base import NotAllowedError, QuotaError, ItemNotExists, VersionNotExists
@@ -77,24 +78,27 @@ logger = logging.getLogger(__name__)
 
 
 class UTC(tzinfo):
-   def utcoffset(self, dt):
-       return timedelta(0)
+    def utcoffset(self, dt):
+        return timedelta(0)
 
-   def tzname(self, dt):
-       return 'UTC'
+    def tzname(self, dt):
+        return 'UTC'
+
+    def dst(self, dt):
+        return timedelta(0)
 
-   def dst(self, dt):
-       return timedelta(0)
 
 def json_encode_decimal(obj):
     if isinstance(obj, decimal.Decimal):
         return str(obj)
     raise TypeError(repr(obj) + " is not JSON serializable")
 
+
 def isoformat(d):
-   """Return an ISO8601 date string that includes a timezone."""
+    """Return an ISO8601 date string that includes a timezone."""
+
+    return d.replace(tzinfo=UTC()).isoformat()
 
-   return d.replace(tzinfo=UTC()).isoformat()
 
 def rename_meta_key(d, old, new):
     if old not in d:
@@ -102,28 +106,33 @@ def rename_meta_key(d, old, new):
     d[new] = d[old]
     del(d[old])
 
+
 def printable_header_dict(d):
     """Format a meta dictionary for printing out json/xml.
-    
+
     Convert all keys to lower case and replace dashes with underscores.
     Format 'last_modified' timestamp.
     """
-    
+
     if 'last_modified' in d and d['last_modified']:
-        d['last_modified'] = isoformat(datetime.fromtimestamp(d['last_modified']))
+        d['last_modified'] = isoformat(
+            datetime.fromtimestamp(d['last_modified']))
     return dict([(k.lower().replace('-', '_'), v) for k, v in d.iteritems()])
 
+
 def format_header_key(k):
     """Convert underscores to dashes and capitalize intra-dash strings."""
     return '-'.join([x.capitalize() for x in k.replace('_', '-').split('-')])
 
+
 def get_header_prefix(request, prefix):
     """Get all prefix-* request headers in a dict. Reformat keys with format_header_key()."""
-    
+
     prefix = 'HTTP_' + prefix.upper().replace('-', '_')
     # TODO: Document or remove '~' replacing.
     return dict([(format_header_key(k[5:]), v.replace('~', '')) for k, v in request.META.iteritems() if k.startswith(prefix) and len(k) > len(prefix)])
 
+
 def check_meta_headers(meta):
     if len(meta) > 90:
         raise BadRequest('Too many headers.')
@@ -133,6 +142,7 @@ def check_meta_headers(meta):
         if len(v) > 256:
             raise BadRequest('Header value too large.')
 
+
 def get_account_headers(request):
     meta = get_header_prefix(request, 'X-Account-Meta-')
     check_meta_headers(meta)
@@ -146,6 +156,7 @@ def get_account_headers(request):
             groups[n].remove('')
     return meta, groups
 
+
 def put_account_headers(response, meta, groups, policy):
     if 'count' in meta:
         response['X-Account-Container-Count'] = meta['count']
@@ -153,9 +164,11 @@ def put_account_headers(response, meta, groups, policy):
         response['X-Account-Bytes-Used'] = meta['bytes']
     response['Last-Modified'] = http_date(int(meta['modified']))
     for k in [x for x in meta.keys() if x.startswith('X-Account-Meta-')]:
-        response[smart_str(k, strings_only=True)] = smart_str(meta[k], strings_only=True)
+        response[smart_str(
+            k, strings_only=True)] = smart_str(meta[k], strings_only=True)
     if 'until_timestamp' in meta:
-        response['X-Account-Until-Timestamp'] = http_date(int(meta['until_timestamp']))
+        response['X-Account-Until-Timestamp'] = http_date(
+            int(meta['until_timestamp']))
     for k, v in groups.iteritems():
         k = smart_str(k, strings_only=True)
         k = format_header_key('X-Account-Group-' + k)
@@ -164,12 +177,14 @@ def put_account_headers(response, meta, groups, policy):
     for k, v in policy.iteritems():
         response[smart_str(format_header_key('X-Account-Policy-' + k), strings_only=True)] = smart_str(v, strings_only=True)
 
+
 def get_container_headers(request):
     meta = get_header_prefix(request, 'X-Container-Meta-')
     check_meta_headers(meta)
     policy = dict([(k[19:].lower(), v.replace(' ', '')) for k, v in get_header_prefix(request, 'X-Container-Policy-').iteritems()])
     return meta, policy
 
+
 def put_container_headers(request, response, meta, policy):
     if 'count' in meta:
         response['X-Container-Object-Count'] = meta['count']
@@ -177,16 +192,20 @@ def put_container_headers(request, response, meta, policy):
         response['X-Container-Bytes-Used'] = meta['bytes']
     response['Last-Modified'] = http_date(int(meta['modified']))
     for k in [x for x in meta.keys() if x.startswith('X-Container-Meta-')]:
-        response[smart_str(k, strings_only=True)] = smart_str(meta[k], strings_only=True)
-    l = [smart_str(x, strings_only=True) for x in meta['object_meta'] if x.startswith('X-Object-Meta-')]
+        response[smart_str(
+            k, strings_only=True)] = smart_str(meta[k], strings_only=True)
+    l = [smart_str(x, strings_only=True) for x in meta['object_meta']
+         if x.startswith('X-Object-Meta-')]
     response['X-Container-Object-Meta'] = ','.join([x[14:] for x in l])
     response['X-Container-Block-Size'] = request.backend.block_size
     response['X-Container-Block-Hash'] = request.backend.hash_algorithm
     if 'until_timestamp' in meta:
-        response['X-Container-Until-Timestamp'] = http_date(int(meta['until_timestamp']))
+        response['X-Container-Until-Timestamp'] = http_date(
+            int(meta['until_timestamp']))
     for k, v in policy.iteritems():
         response[smart_str(format_header_key('X-Container-Policy-' + k), strings_only=True)] = smart_str(v, strings_only=True)
 
+
 def get_object_headers(request):
     content_type = request.META.get('CONTENT_TYPE', None)
     meta = get_header_prefix(request, 'X-Object-Meta-')
@@ -199,6 +218,7 @@ def get_object_headers(request):
         meta['X-Object-Manifest'] = request.META['HTTP_X_OBJECT_MANIFEST']
     return content_type, meta, get_sharing(request), get_public(request)
 
+
 def put_object_headers(response, meta, restricted=False):
     response['ETag'] = meta['checksum']
     response['Content-Length'] = meta['bytes']
@@ -207,14 +227,18 @@ def put_object_headers(response, meta, restricted=False):
     if not restricted:
         response['X-Object-Hash'] = meta['hash']
         response['X-Object-UUID'] = meta['uuid']
-        response['X-Object-Modified-By'] = smart_str(meta['modified_by'], strings_only=True)
+        response['X-Object-Modified-By'] = smart_str(
+            meta['modified_by'], strings_only=True)
         response['X-Object-Version'] = meta['version']
-        response['X-Object-Version-Timestamp'] = http_date(int(meta['version_timestamp']))
+        response['X-Object-Version-Timestamp'] = http_date(
+            int(meta['version_timestamp']))
         for k in [x for x in meta.keys() if x.startswith('X-Object-Meta-')]:
-            response[smart_str(k, strings_only=True)] = smart_str(meta[k], strings_only=True)
-        for k in ('Content-Encoding', 'Content-Disposition', 'X-Object-Manifest',
-                  'X-Object-Sharing', 'X-Object-Shared-By', 'X-Object-Allowed-To',
-                  'X-Object-Public'):
+            response[smart_str(
+                k, strings_only=True)] = smart_str(meta[k], strings_only=True)
+        for k in (
+            'Content-Encoding', 'Content-Disposition', 'X-Object-Manifest',
+            'X-Object-Sharing', 'X-Object-Shared-By', 'X-Object-Allowed-To',
+                'X-Object-Public'):
             if k in meta:
                 response[k] = smart_str(meta[k], strings_only=True)
     else:
@@ -222,19 +246,22 @@ def put_object_headers(response, meta, restricted=False):
             if k in meta:
                 response[k] = smart_str(meta[k], strings_only=True)
 
+
 def update_manifest_meta(request, v_account, meta):
     """Update metadata if the object has an X-Object-Manifest."""
-    
+
     if 'X-Object-Manifest' in meta:
         etag = ''
         bytes = 0
         try:
-            src_container, src_name = split_container_object_string('/' + meta['X-Object-Manifest'])
-            objects = request.backend.list_objects(request.user_uniq, v_account,
-                                src_container, prefix=src_name, virtual=False)
+            src_container, src_name = split_container_object_string(
+                '/' + meta['X-Object-Manifest'])
+            objects = request.backend.list_objects(
+                request.user_uniq, v_account,
+                src_container, prefix=src_name, virtual=False)
             for x in objects:
                 src_meta = request.backend.get_object_meta(request.user_uniq,
-                                        v_account, src_container, x[0], 'pithos', x[1])
+                                                           v_account, src_container, x[0], 'pithos', x[1])
                 etag += src_meta['checksum']
                 bytes += src_meta['bytes']
         except:
@@ -245,6 +272,7 @@ def update_manifest_meta(request, v_account, meta):
         md5.update(etag)
         meta['checksum'] = md5.hexdigest().lower()
 
+
 def update_sharing_meta(request, permissions, v_account, v_container, v_object, meta):
     if permissions is None:
         return
@@ -264,43 +292,46 @@ def update_sharing_meta(request, permissions, v_account, v_container, v_object,
     if request.user_uniq != v_account:
         meta['X-Object-Allowed-To'] = allowed
 
+
 def update_public_meta(public, meta):
     if not public:
         return
     meta['X-Object-Public'] = '/public/' + encode_url(public)
 
+
 def validate_modification_preconditions(request, meta):
     """Check that the modified timestamp conforms with the preconditions set."""
-    
+
     if 'modified' not in meta:
-        return # TODO: Always return?
-    
+        return  # TODO: Always return?
+
     if_modified_since = request.META.get('HTTP_IF_MODIFIED_SINCE')
     if if_modified_since is not None:
         if_modified_since = parse_http_date_safe(if_modified_since)
     if if_modified_since is not None and int(meta['modified']) <= if_modified_since:
         raise NotModified('Resource has not been modified')
-    
+
     if_unmodified_since = request.META.get('HTTP_IF_UNMODIFIED_SINCE')
     if if_unmodified_since is not None:
         if_unmodified_since = parse_http_date_safe(if_unmodified_since)
     if if_unmodified_since is not None and int(meta['modified']) > if_unmodified_since:
         raise PreconditionFailed('Resource has been modified')
 
+
 def validate_matching_preconditions(request, meta):
     """Check that the ETag conforms with the preconditions set."""
-    
+
     etag = meta['checksum']
     if not etag:
         etag = None
-    
+
     if_match = request.META.get('HTTP_IF_MATCH')
     if if_match is not None:
         if etag is None:
             raise PreconditionFailed('Resource does not exist')
         if if_match != '*' and etag not in [x.lower() for x in parse_etags(if_match)]:
             raise PreconditionFailed('Resource ETag does not match')
-    
+
     if_none_match = request.META.get('HTTP_IF_NONE_MATCH')
     if if_none_match is not None:
         # TODO: If this passes, must ignore If-Modified-Since header.
@@ -311,6 +342,7 @@ def validate_matching_preconditions(request, meta):
                     raise NotModified('Resource ETag matches')
                 raise PreconditionFailed('Resource exists or ETag matches')
 
+
 def split_container_object_string(s):
     if not len(s) > 0 or s[0] != '/':
         raise ValueError
@@ -320,22 +352,25 @@ def split_container_object_string(s):
         raise ValueError
     return s[:pos], s[(pos + 1):]
 
+
 def copy_or_move_object(request, src_account, src_container, src_name, dest_account, dest_container, dest_name, move=False, delimiter=None):
     """Copy or move an object."""
-    
+
     if 'ignore_content_type' in request.GET and 'CONTENT_TYPE' in request.META:
         del(request.META['CONTENT_TYPE'])
     content_type, meta, permissions, public = get_object_headers(request)
     src_version = request.META.get('HTTP_X_SOURCE_VERSION')
     try:
         if move:
-            version_id = request.backend.move_object(request.user_uniq, src_account, src_container, src_name,
-                                                        dest_account, dest_container, dest_name,
-                                                        content_type, 'pithos', meta, False, permissions, delimiter)
+            version_id = request.backend.move_object(
+                request.user_uniq, src_account, src_container, src_name,
+                dest_account, dest_container, dest_name,
+                content_type, 'pithos', meta, False, permissions, delimiter)
         else:
-            version_id = request.backend.copy_object(request.user_uniq, src_account, src_container, src_name,
-                                                        dest_account, dest_container, dest_name,
-                                                        content_type, 'pithos', meta, False, permissions, src_version, delimiter)
+            version_id = request.backend.copy_object(
+                request.user_uniq, src_account, src_container, src_name,
+                dest_account, dest_container, dest_name,
+                content_type, 'pithos', meta, False, permissions, src_version, delimiter)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except (ItemNotExists, VersionNotExists):
@@ -353,6 +388,7 @@ def copy_or_move_object(request, src_account, src_container, src_name, dest_acco
             raise ItemNotFound('Object does not exist')
     return version_id
 
+
 def get_int_parameter(p):
     if p is not None:
         try:
@@ -363,23 +399,25 @@ def get_int_parameter(p):
             return None
     return p
 
+
 def get_content_length(request):
     content_length = get_int_parameter(request.META.get('CONTENT_LENGTH'))
     if content_length is None:
         raise LengthRequired('Missing or invalid Content-Length header')
     return content_length
 
+
 def get_range(request, size):
     """Parse a Range header from the request.
-    
+
     Either returns None, when the header is not existent or should be ignored,
     or a list of (offset, length) tuples - should be further checked.
     """
-    
+
     ranges = request.META.get('HTTP_RANGE', '').replace(' ', '')
     if not ranges.startswith('bytes='):
         return None
-    
+
     ret = []
     for r in (x.strip() for x in ranges[6:].split(',')):
         p = re.compile('^(?P<offset>\d*)-(?P<upto>\d*)$')
@@ -390,7 +428,7 @@ def get_range(request, size):
         upto = m.group('upto')
         if offset == '' and upto == '':
             return None
-        
+
         if offset != '':
             offset = int(offset)
             if upto != '':
@@ -403,21 +441,22 @@ def get_range(request, size):
         else:
             length = int(upto)
             ret.append((size - length, length))
-    
+
     return ret
 
+
 def get_content_range(request):
     """Parse a Content-Range header from the request.
-    
+
     Either returns None, when the header is not existent or should be ignored,
     or an (offset, length, total) tuple - check as length, total may be None.
     Returns (None, None, None) if the provided range is '*/*'.
     """
-    
+
     ranges = request.META.get('HTTP_CONTENT_RANGE', '')
     if not ranges:
         return None
-    
+
     p = re.compile('^bytes (?P<offset>\d+)-(?P<upto>\d*)/(?P<total>(\d+|\*))$')
     m = p.match(ranges)
     if not m:
@@ -437,35 +476,37 @@ def get_content_range(request):
         total = None
     if (upto is not None and offset > upto) or \
         (total is not None and offset >= total) or \
-        (total is not None and upto is not None and upto >= total):
+            (total is not None and upto is not None and upto >= total):
         return None
-    
+
     if upto is None:
         length = None
     else:
         length = upto - offset + 1
     return (offset, length, total)
 
+
 def get_sharing(request):
     """Parse an X-Object-Sharing header from the request.
-    
+
     Raises BadRequest on error.
     """
-    
+
     permissions = request.META.get('HTTP_X_OBJECT_SHARING')
     if permissions is None:
         return None
-    
+
     # TODO: Document or remove '~' replacing.
     permissions = permissions.replace('~', '')
-    
+
     ret = {}
     permissions = permissions.replace(' ', '')
     if permissions == '':
         return ret
     for perm in (x for x in permissions.split(';')):
         if perm.startswith('read='):
-            ret['read'] = list(set([v.replace(' ','').lower() for v in perm[5:].split(',')]))
+            ret['read'] = list(set(
+                [v.replace(' ', '').lower() for v in perm[5:].split(',')]))
             if '' in ret['read']:
                 ret['read'].remove('')
             if '*' in ret['read']:
@@ -473,7 +514,8 @@ def get_sharing(request):
             if len(ret['read']) == 0:
                 raise BadRequest('Bad X-Object-Sharing header value')
         elif perm.startswith('write='):
-            ret['write'] = list(set([v.replace(' ','').lower() for v in perm[6:].split(',')]))
+            ret['write'] = list(set(
+                [v.replace(' ', '').lower() for v in perm[6:].split(',')]))
             if '' in ret['write']:
                 ret['write'].remove('')
             if '*' in ret['write']:
@@ -482,27 +524,29 @@ def get_sharing(request):
                 raise BadRequest('Bad X-Object-Sharing header value')
         else:
             raise BadRequest('Bad X-Object-Sharing header value')
-    
+
     # Keep duplicates only in write list.
-    dups = [x for x in ret.get('read', []) if x in ret.get('write', []) and x != '*']
+    dups = [x for x in ret.get(
+        'read', []) if x in ret.get('write', []) and x != '*']
     if dups:
         for x in dups:
             ret['read'].remove(x)
         if len(ret['read']) == 0:
             del(ret['read'])
-    
+
     return ret
 
+
 def get_public(request):
     """Parse an X-Object-Public header from the request.
-    
+
     Raises BadRequest on error.
     """
-    
+
     public = request.META.get('HTTP_X_OBJECT_PUBLIC')
     if public is None:
         return None
-    
+
     public = public.replace(' ', '').lower()
     if public == 'true':
         return True
@@ -510,9 +554,10 @@ def get_public(request):
         return False
     raise BadRequest('Bad X-Object-Public header value')
 
+
 def raw_input_socket(request):
     """Return the socket for reading the rest of the request."""
-    
+
     server_software = request.META.get('SERVER_SOFTWARE')
     if server_software and server_software.startswith('mod_python'):
         return request._req
@@ -520,17 +565,18 @@ def raw_input_socket(request):
         return request.environ['wsgi.input']
     raise NotImplemented('Unknown server software')
 
-MAX_UPLOAD_SIZE = 5 * (1024 * 1024 * 1024) # 5GB
+MAX_UPLOAD_SIZE = 5 * (1024 * 1024 * 1024)  # 5GB
+
 
 def socket_read_iterator(request, length=0, blocksize=4096):
     """Return a maximum of blocksize data read from the socket in each iteration.
-    
+
     Read up to 'length'. If 'length' is negative, will attempt a chunked read.
     The maximum ammount of data read is controlled by MAX_UPLOAD_SIZE.
     """
-    
+
     sock = raw_input_socket(request)
-    if length < 0: # Chunked transfers
+    if length < 0:  # Chunked transfers
         # Small version (server does the dechunking).
         if request.environ.get('mod_wsgi.input_chunked', None) or request.META['SERVER_SOFTWARE'].startswith('gunicorn'):
             while length < MAX_UPLOAD_SIZE:
@@ -539,7 +585,7 @@ def socket_read_iterator(request, length=0, blocksize=4096):
                     return
                 yield data
             raise BadRequest('Maximum size is reached')
-        
+
         # Long version (do the dechunking).
         data = ''
         while length < MAX_UPLOAD_SIZE:
@@ -557,7 +603,8 @@ def socket_read_iterator(request, length=0, blocksize=4096):
             try:
                 chunk_length = int(chunk_length, 16)
             except Exception, e:
-                raise BadRequest('Bad chunk size') # TODO: Change to something more appropriate.
+                raise BadRequest('Bad chunk size')
+                                 # TODO: Change to something more appropriate.
             # Check if done.
             if chunk_length == 0:
                 if len(data) > 0:
@@ -574,7 +621,7 @@ def socket_read_iterator(request, length=0, blocksize=4096):
                     ret = data[:blocksize]
                     data = data[blocksize:]
                     yield ret
-            sock.read(2) # CRLF
+            sock.read(2)  # CRLF
         raise BadRequest('Maximum size is reached')
     else:
         if length > MAX_UPLOAD_SIZE:
@@ -586,33 +633,35 @@ def socket_read_iterator(request, length=0, blocksize=4096):
             length -= len(data)
             yield data
 
+
 class SaveToBackendHandler(FileUploadHandler):
     """Handle a file from an HTML form the django way."""
-    
+
     def __init__(self, request=None):
         super(SaveToBackendHandler, self).__init__(request)
         self.backend = request.backend
-    
+
     def put_data(self, length):
         if len(self.data) >= length:
             block = self.data[:length]
             self.file.hashmap.append(self.backend.put_block(block))
             self.md5.update(block)
             self.data = self.data[length:]
-    
+
     def new_file(self, field_name, file_name, content_type, content_length, charset=None):
-        self.md5 = hashlib.md5()        
+        self.md5 = hashlib.md5()
         self.data = ''
-        self.file = UploadedFile(name=file_name, content_type=content_type, charset=charset)
+        self.file = UploadedFile(
+            name=file_name, content_type=content_type, charset=charset)
         self.file.size = 0
         self.file.hashmap = []
-    
+
     def receive_data_chunk(self, raw_data, start):
         self.data += raw_data
         self.file.size += len(raw_data)
         self.put_data(self.request.backend.block_size)
         return None
-    
+
     def file_complete(self, file_size):
         l = len(self.data)
         if l > 0:
@@ -620,12 +669,13 @@ class SaveToBackendHandler(FileUploadHandler):
         self.file.etag = self.md5.hexdigest().lower()
         return self.file
 
+
 class ObjectWrapper(object):
     """Return the object's data block-per-block in each iteration.
-    
+
     Read from the object using the offset and length provided in each entry of the range list.
     """
-    
+
     def __init__(self, backend, ranges, sizes, hashmaps, boundary):
         self.backend = backend
         self.ranges = ranges
@@ -633,18 +683,18 @@ class ObjectWrapper(object):
         self.hashmaps = hashmaps
         self.boundary = boundary
         self.size = sum(self.sizes)
-        
+
         self.file_index = 0
         self.block_index = 0
         self.block_hash = -1
         self.block = ''
-        
+
         self.range_index = -1
         self.offset, self.length = self.ranges[0]
-    
+
     def __iter__(self):
         return self
-    
+
     def part_iterator(self):
         if self.length > 0:
             # Get the file for the current offset.
@@ -653,21 +703,22 @@ class ObjectWrapper(object):
                 self.offset -= file_size
                 self.file_index += 1
                 file_size = self.sizes[self.file_index]
-            
+
             # Get the block for the current position.
             self.block_index = int(self.offset / self.backend.block_size)
             if self.block_hash != self.hashmaps[self.file_index][self.block_index]:
-                self.block_hash = self.hashmaps[self.file_index][self.block_index]
+                self.block_hash = self.hashmaps[
+                    self.file_index][self.block_index]
                 try:
                     self.block = self.backend.get_block(self.block_hash)
                 except ItemNotExists:
                     raise ItemNotFound('Block does not exist')
-            
+
             # Get the data from the block.
             bo = self.offset % self.backend.block_size
             bs = self.backend.block_size
             if (self.block_index == len(self.hashmaps[self.file_index]) - 1 and
-                self.sizes[self.file_index] % self.backend.block_size):
+                    self.sizes[self.file_index] % self.backend.block_size):
                 bs = self.sizes[self.file_index] % self.backend.block_size
             bl = min(self.length, bs - bo)
             data = self.block[bo:bo + bl]
@@ -676,7 +727,7 @@ class ObjectWrapper(object):
             return data
         else:
             raise StopIteration
-    
+
     def next(self):
         if len(self.ranges) == 1:
             return self.part_iterator()
@@ -696,7 +747,8 @@ class ObjectWrapper(object):
                 if self.range_index > 0:
                     out.append('')
                 out.append('--' + self.boundary)
-                out.append('Content-Range: bytes %d-%d/%d' % (self.offset, self.offset + self.length - 1, self.size))
+                out.append('Content-Range: bytes %d-%d/%d' % (
+                    self.offset, self.offset + self.length - 1, self.size))
                 out.append('Content-Transfer-Encoding: binary')
                 out.append('')
                 out.append('')
@@ -708,9 +760,10 @@ class ObjectWrapper(object):
                 out.append('')
                 return '\r\n'.join(out)
 
+
 def object_data_response(request, sizes, hashmaps, meta, public=False):
     """Get the HttpResponse object for replying with the object's data."""
-    
+
     # Range handling.
     size = sum(sizes)
     ranges = get_range(request, size)
@@ -719,9 +772,9 @@ def object_data_response(request, sizes, hashmaps, meta, public=False):
         ret = 200
     else:
         check = [True for offset, length in ranges if
-                    length <= 0 or length > size or
-                    offset < 0 or offset >= size or
-                    offset + length > size]
+                 length <= 0 or length > size or
+                 offset < 0 or offset >= size or
+                 offset + length > size]
         if len(check) > 0:
             raise RangeNotSatisfiable('Requested range exceeds object limits')
         ret = 206
@@ -737,7 +790,7 @@ def object_data_response(request, sizes, hashmaps, meta, public=False):
                 if if_range != meta['checksum']:
                     ranges = [(0, size)]
                     ret = 200
-    
+
     if ret == 206 and len(ranges) > 1:
         boundary = uuid.uuid4().hex
     else:
@@ -748,16 +801,20 @@ def object_data_response(request, sizes, hashmaps, meta, public=False):
     if ret == 206:
         if len(ranges) == 1:
             offset, length = ranges[0]
-            response['Content-Length'] = length # Update with the correct length.
-            response['Content-Range'] = 'bytes %d-%d/%d' % (offset, offset + length - 1, size)
+            response[
+                'Content-Length'] = length  # Update with the correct length.
+            response['Content-Range'] = 'bytes %d-%d/%d' % (
+                offset, offset + length - 1, size)
         else:
             del(response['Content-Length'])
-            response['Content-Type'] = 'multipart/byteranges; boundary=%s' % (boundary,)
+            response['Content-Type'] = 'multipart/byteranges; boundary=%s' % (
+                boundary,)
     return response
 
+
 def put_object_block(request, hashmap, data, offset):
     """Put one block of data at the given offset."""
-    
+
     bi = int(offset / request.backend.block_size)
     bo = offset % request.backend.block_size
     bl = min(len(data), request.backend.block_size - bo)
